KitSelector Plugin version 5.0

it's a Plugin to print a GUI where player choose kit (Like kitPvp) it's perfectly particularizable

  1. neirda3052
    Native Minecraft Version:
    1.16
    Tested Minecraft Versions:
    • 1.16
    KitSelector Plugin:
    it's a plugin perfectly particularizable. The Player can choose between the different kit predefined in config
    write on Sign [kitSelector]
    warning ! look Updates !
    do not hesitate to post a comment to tell me what you think it's very important for me!!
    for example:
    https://goopics.net/i/V9e01
    commands:
    /getListforkit : just to look the List of item name(/getListforkit ItemList) or List of effect name (/getListforkit potionList)
    /kitselectorinfo : to get info about me :)
    configuration:
    Code (YAML):
    kit:
      chevalier
    : #the name of kit
        items
    :
          helmet
    : #obligatory
            id
    : "gold_helmet"
          chestplate
    : #obligatory
            id
    : "gold_chestplate"
          leggings
    : #obligatory
            id
    : "gold_leggings"
          boots
    : #obligatory
            id
    : "gold_boots"
          other
    : #the name isn't important
            id
    : "diamond" #the name of item, use /getListforkit ItemList  to look    the list of item
            amount
    : 64
            spot
    : 0 # the spot in player inventory
          sword
    : # you can add a lot of items following this example!
            id
    : "diamond_sword"
            spot
    : 1
            amount
    : 1
        effects
    : #the effect give to player when he choose
          fire
    : #the name isn't important
            id
    : "slow" #the name of effect, use /getListforkit potionList to look the list of effects
            duration
    : 30 #in seconds
            level
    : 1 #the level of effects,
              #you can add a lot of effect following the example
        icon
    : #obligatory
          id_item
    : "diamond_sword" #obligatory
          spot
    : 5 #obligatory the spot must be different for each kit

    Images

    1. 2021-06-21_19.00.32.png
    2. config.png

Recent Reviews

  1. Kasai4Prez
    Kasai4Prez
    3/5,
    Version: version 5.0
    Great plugin, works very well and is easy to configure. that is, for the one kit.. only suggestion would be to add the ability to create more kits. I messed around in the config for a while and was able to create more kits just fine, but the GUI only displays the kit i most recently added and removes all previous ones.
    1. neirda3052
      Author's Response
      you can add more kit! just check in config "icon" and you can set the new spot for icon in menu
  2. Korbsti
    Korbsti
    5/5,
    Version: version 5.0
    Works just fine without any issues, no reason to negate any stars

    Would recommend to people looking for a simple kitselector plugin
    1. neirda3052
      Author's Response
      thanks for your comment!
  3. ItsSchatten
    ItsSchatten
    3/5,
    Version: 2021-06-21
    To help negate the below review I feel as though I must say browsing through the code there is nothing that explicitly removes files, and I am unable to actually find any indication that the plugin is downloading an alternate program that is used to then remove the files.

    It's a rather simple implementation of a kit selection system that I imagine would work rather nicely.

    As a quick suggestion for your main page, you can use [code=YAML][/code] blocks to maintain the format for your configuration file.
    1. neirda3052
      Author's Response
      Thanks for your comments and thanks for your trick !
  4. Duke42555
    Duke42555
    1/5,
    Version: 2021-06-21
    Bad plugin it "worked" but then it stopped my server + removed all plugin files pls can someone de-compile this plugin and take a look at the code lmao
    1. neirda3052
      Author's Response
      I am sorry for that and I will review its operation yet during my tests nothing of this is produced ... you can send the console to look error please?